<template>
  <sub-main :contents="contents"> </sub-main>
</template>

<script>
export default {
  head: {
    title: 'Ecosystem | THORChain.org',
    meta: [
        { property: "og:locale", content: "en_US" },
        { property: "og:type", content: "website" },
        { property: "og:title", content: "Ecosystem | THORChain.org" },
        {
          property: "og:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { property: "og:url", content: process.env.baseUrl },
        { property: "og:site_name", content: "THORChain" },
        {
          property: "og:image",
          content: process.env.baseUrl + "/images/meta-ecosystem.png",
        },
        { property: "og:image:width", content: "876" },
        { property: "og:image:heigh", content: "438" },
        { name: "twitter:creator", content: "@thorchain" },
        { name: "twitter:site", content: "@thorchain" },
        { name: "twitter:title", content: "Ecosystem | THORChain.org" },
        {
          name: "twitter:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { name: "twitter:card", content: "summary_large_image" },
        {
          name: "twitter:image",
          content: process.env.baseUrl + "/images/meta-ecosystem.png",
        },
      ],
  },
  data() {
    return {
      contents: [
        {
          component: "header",
          settings: {
            title: this.$t("ecosystemPage.header"),
          },
        },
        {
          component: "lego",
          settings: [
            // Title
            {
              rowStart: 1,
              rowSpan: 2,
              colStart: 1,
              colSpan: 1,
              mode: "text",
              title: this.$t("ecosystemPage.tools.title"),
              text: this.$t("ecosystemPage.tools.text"),
              textLeft: true,
            },
            // Arbitrageur Tools
            {
              rowStart: 1,
              rowSpan: 1,
              colStart: 2,
              colSpan: 1,
              text: this.$t("ecosystemPage.links")[0],
              // linkProps: this.$links("slash_arbitrageur_tools"),
              inactive: true
            },
            // Data Analyst Tools
            {
              rowStart: 1,
              rowSpan: 1,
              colStart: 3,
              colSpan: 1,
              text: this.$t("ecosystemPage.links")[1],
              linkProps: this.$links("slash_data_analyst_tools"),
              inactive: false
            },
            // DAO's
            {
              rowStart: 2,
              rowSpan: 1,
              colStart: 2,
              colSpan: 1,
              text: this.$t("ecosystemPage.links")[2],
              linkProps: this.$links("slash_daos"),
              inactive: false
            },
            // Insurance
            {
              rowStart: 2,
              rowSpan: 1,
              colStart: 3,
              colSpan: 1,
              text: this.$t("ecosystemPage.links")[3],
              linkProps: this.$links("slash_insurance"),
              inactive: false
            },
            // Liquidity Provider Tools
            {
              rowStart: 1,
              rowSpan: 2,
              colStart: 4,
              colSpan: 1,
              text: this.$t("ecosystemPage.links")[4],
              linkProps: this.$links("slash_liquidity_provider_tools"),
              inactive: false
            },
          ],
        },
        {
          component: "lego",
          settings: [
            // Marketing Tools
            {
              rowStart: 1,
              rowSpan: 1,
              colStart: 1,
              colSpan: 1,
              text: this.$t("ecosystemPage.links")[5],
              inactive: true
            },
            // Network Explorers
            {
              rowStart: 1,
              rowSpan: 1,
              colStart: 2,
              colSpan: 1,
              text: this.$t("ecosystemPage.links")[6],
              linkProps: this.$links("slash_network_explorers"),
              inactive: false
            },
            // Name Service
            {
              rowStart: 2,
              rowSpan: 1,
              colStart: 1,
              colSpan: 1,
              text: this.$t("ecosystemPage.links")[7],
              linkProps: this.$links("slash_thornames"),
              inactive: false
            },
            // NFT Collections
            {
              rowStart: 2,
              rowSpan: 1,
              colStart: 2,
              colSpan: 1,
              text: this.$t("ecosystemPage.links")[8],
              linkProps: this.$links("slash_nft_collections"),
              inactive: false
            },
            // Swap/Pool Interfaces
            {
              rowStart: 1,
              rowSpan: 2,
              colStart: 3,
              colSpan: 2,
              text: this.$t("ecosystemPage.links")[9],
              linkProps: this.$links("slash_interfaces"),
              inactive: false
            },
          ],
        },
        {
          component: "lego",
          settings: [
            // Software Hardware Wallets
            {
              rowStart: 1,
              rowSpan: 2,
              colStart: 1,
              colSpan: 1,
              text: this.$t("ecosystemPage.links")[10],
              linkProps: this.$links("slash_wallets"),
              inactive: false
            },
            // Project Funding
            {
              rowStart: 1,
              rowSpan: 2,
              colStart: 2,
              colSpan: 3,
              text: this.$t("ecosystemPage.links")[11],
              linkProps: this.$links("slash_project_funding"),
              inactive: false
            }
          ],
        },
      ],
    };
  },
};
</script>

<style>
</style>